<?php
/**
 * Add Customizer -> Blog Posts -> Read More Button settings.
 *
 * @package Verve Blog
 */

$fields = [
    'blog_post_read_more_btn_type' => [
        'type'              => 'radio_buttonset',
        'label'             => esc_html__( 'Read More Type', 'verve-blog' ),
        'section'           => 'blog_read_more_btn_section',
        'priority'          => 10,
        'default'           => 'link',
        'choices'           => [
            'link'              => esc_html__( 'Simple', 'verve-blog' ),
            'info'              => esc_html__( 'Button', 'verve-blog' ),
            'outline-info'      => esc_html__( 'Outline', 'verve-blog' )
        ],
    ]
];
foreach ( $fields as $field_id => $field_args ) {
    // Settings
    $field_args['settings'] = str_replace( '-', '_', $field_id );
    Kirki::add_field( 'verve-blog', $field_args );
}