<?php
/**
 * Add Customizer -> Blog Posts -> Post Meta settings.
 *
 * @package Verve Blog
 */

$fields = [
    'post_meta_elements' => [
        'type'        => 'sortable',
        'label'       => esc_html__( 'Post Meta', 'verve-blog' ),
        'description' => esc_html__( 'Enable/disable to show the list of post meta and sort them to re-arrange their order.', 'verve-blog' ),
        'section'     => 'post_meta_section',
        'default'     => [
            'post-author',
            'post-date'
        ],
        'choices'     => [
            'post-author'       => esc_html__( 'Post Author', 'verve-blog' ),
            'post-date'         => esc_html__( 'Post Date', 'verve-blog' ),
            'post-cats'         => esc_html__( 'Post Categories', 'verve-blog' ),
            'post-comments'     => esc_html__( 'post Comments', 'verve-blog' )
        ],
        'priority'    => 10,
    ],
];
foreach ( $fields as $field_id => $field_args ) {
    // Settings
    $field_args['settings'] = str_replace( '-', '_', $field_id );
    Kirki::add_field( 'verve-blog', $field_args );
}