<?php
/**
 * Add Customizer -> Footer -> Footer Rows -> Top Row settings.
 *
 * @package Verve Blog
 */

$fields = array(
	'footer_top_row_group_fields'   => array(
		'type'     => 'group-field',
		'section'  => 'footer_top_section',
		'priority' => 5,
		'tabs'     => array(
			'desktop' => array(
				'nicename'   => esc_html__( '&gt; 1200px', 'verve-blog' ),
				'preview'    => 'desktop',
				'active_tab' => true,
				'controls'   => array(
					'footer_top_left_elements',
					'footer_top_center_elements',
					'footer_top_right_elements',
					'footer_top_background',
					'footer_top_section_padding',
				),
			),
			'tablet'  => array(
				'nicename'   => esc_html__( '&gt; 768px', 'verve-blog' ),
				'preview'    => 'tablet',
				'active_tab' => false,
				'controls'   => array(
					'footer_top_section_md_padding',
				),
			),
			'mobile'  => array(
				'nicename'   => esc_html__( '&lt; 576px', 'verve-blog' ),
				'preview'    => 'mobile',
				'active_tab' => false,
				'controls'   => array(
					'footer_top_section_sm_padding',
				),
			),
		),
	),
	'footer_top_left_elements'      => array(
		'type'             => 'repeater',
		'label'            => esc_html__( 'Left Elements', 'verve-blog' ),
		'description'      => esc_html__( 'Click button to add new elements on lef column of top footer section and re-arrange element orders by sorting them.', 'verve-blog' ),
		'section'          => 'footer_top_section',
		'row_label'        => array(
			'type'  => 'field',
			'value' => esc_html__( 'Element', 'verve-blog' ),
			'field' => 'element_id',
		),
		'footer_top_label' => esc_html__( 'Add Element', 'verve-blog' ),
		'fields'           => array(
			'element_id' => array(
				'type'    => 'select',
				'label'   => esc_html__( 'Selected Element', 'verve-blog' ),
				'default' => 'none',
				'choices' => array(
					'none'      => esc_html__( 'None', 'verve-blog' ),
					'copyright' => esc_html__( 'Copyright', 'verve-blog' ),
					'menu_1'    => esc_html__( 'Footer Menu', 'verve-blog' ),
					'social'    => esc_html__( 'Social', 'verve-blog' ),
					'button'    => esc_html__( 'Button', 'verve-blog' ),
					'html_1'    => esc_html__( 'HTML', 'verve-blog' ),
					'widget_1'  => esc_html__( 'Widget 1', 'verve-blog' ),
					'widget_2'  => esc_html__( 'Widget 2', 'verve-blog' ),
					'widget_3'  => esc_html__( 'Widget 3', 'verve-blog' ),
				),
			),
		),
		'choices' 			=> [
			'limit' 		=> 3
		],
		'priority'         => 10,
	),
	'footer_top_center_elements'    => array(
		'type'             => 'repeater',
		'label'            => esc_html__( 'Center Elements', 'verve-blog' ),
		'description'      => esc_html__( 'Click button to add new elements on center column of top footer section and re-arrange element orders by sorting them.', 'verve-blog' ),
		'section'          => 'footer_top_section',
		'row_label'        => array(
			'type'  => 'field',
			'value' => esc_html__( 'Element', 'verve-blog' ),
			'field' => 'element_id',
		),
		'footer_top_label' => esc_html__( 'Add Element', 'verve-blog' ),
		'fields'           => array(
			'element_id' => array(
				'type'    => 'select',
				'label'   => esc_html__( 'Selected Element', 'verve-blog' ),
				'default' => 'none',
				'choices' => array(
					'none'      => esc_html__( 'None', 'verve-blog' ),
					'copyright' => esc_html__( 'Copyright', 'verve-blog' ),
					'menu_1'    => esc_html__( 'Footer Menu', 'verve-blog' ),
					'social'    => esc_html__( 'Social', 'verve-blog' ),
					'button'    => esc_html__( 'Button', 'verve-blog' ),
					'html_1'    => esc_html__( 'HTML', 'verve-blog' ),
					'widget_1'  => esc_html__( 'Widget 1', 'verve-blog' ),
					'widget_2'  => esc_html__( 'Widget 2', 'verve-blog' ),
					'widget_3'  => esc_html__( 'Widget 3', 'verve-blog' ),
				),
			),
		),
		'choices' 			=> [
			'limit' 		=> 3
		],
		'priority'         => 10,
	),
	'footer_top_right_elements'     => array(
		'type'             => 'repeater',
		'label'            => esc_html__( 'Right Elements', 'verve-blog' ),
		'description'      => esc_html__( 'Click button to add new elements on right column of top footer section and re-arrange element orders by sorting them.', 'verve-blog' ),
		'section'          => 'footer_top_section',
		'row_label'        => array(
			'type'  => 'field',
			'value' => esc_html__( 'Element', 'verve-blog' ),
			'field' => 'element_id',
		),
		'footer_top_label' => esc_html__( 'Add Element', 'verve-blog' ),
		'fields'           => array(
			'element_id' => array(
				'type'    => 'select',
				'label'   => esc_html__( 'Selected Element', 'verve-blog' ),
				'default' => 'none',
				'choices' => array(
					'none'      => esc_html__( 'None', 'verve-blog' ),
					'copyright' => esc_html__( 'Copyright', 'verve-blog' ),
					'menu_1'    => esc_html__( 'Footer Menu', 'verve-blog' ),
					'social'    => esc_html__( 'Social', 'verve-blog' ),
					'button'    => esc_html__( 'Button', 'verve-blog' ),
					'html_1'    => esc_html__( 'HTML', 'verve-blog' ),
					'widget_1'  => esc_html__( 'Widget 1', 'verve-blog' ),
					'widget_2'  => esc_html__( 'Widget 2', 'verve-blog' ),
					'widget_3'  => esc_html__( 'Widget 3', 'verve-blog' ),
				),
			),
		),
		'choices' 			=> [
			'limit' 		=> 3
		],
		'priority'         => 10,
	),
	'footer_top_background'         => array(
		'type'      => 'background',
		'section'   => 'footer_top_section',
		'priority'  => 15,
		'default'   => array(
			'background-image'      => '',
			'background-repeat'     => 'repeat',
			'background-position'   => 'center center',
			'background-size'       => 'cover',
			'background-attachment' => 'scroll',
		),
		'transport' => 'auto',
		'output'    => array(
			array(
				'element' => '.site-footer .site-footer-top-row',
			),
		),
	),
	'footer_top_section_padding'    => array(
		'type'        => 'dimensions',
		'label'       => esc_html__( 'Padding', 'verve-blog' ),
		'description' => esc_html__( 'Set footer top section top and bottom padding.', 'verve-blog' ),
		'section'     => 'footer_top_section',
		'priority'    => 20,
		'default'     => array(
			'padding-top'    => '',
			'padding-bottom' => '',
		),
		'choices'     => array(
			'labels' => array(
				'padding-top'    => esc_html__( 'Top', 'verve-blog' ),
				'padding-bottom' => esc_html__( 'Bottom', 'verve-blog' ),
			),
		),
		'transport'   => 'auto',
		'output'      => array(
			array(
				'choice'   => 'padding-top',
				'property' => 'padding-top',
				'element'  => '.site-footer .site-footer-top-row',
			),
			array(
				'choice'   => 'padding-bottom',
				'property' => 'padding-bottom',
				'element'  => '.site-footer .site-footer-top-row',
			),
		),
	),
	'footer_top_section_md_padding' => array(
		'type'        => 'dimensions',
		'label'       => esc_html__( 'Padding', 'verve-blog' ),
		'description' => esc_html__( 'Set footer top section top and bottom padding.', 'verve-blog' ),
		'section'     => 'footer_top_section',
		'priority'    => 20,
		'default'     => array(
			'padding-top'    => '',
			'padding-bottom' => '',
		),
		'choices'     => array(
			'labels' => array(
				'padding-top'    => esc_html__( 'Top', 'verve-blog' ),
				'padding-bottom' => esc_html__( 'Bottom', 'verve-blog' ),
			),
		),
		'transport'   => 'auto',
		'output'      => array(
			array(
				'media_query' => '@media (max-width: 768px)',
				'choice'      => 'padding-top',
				'property'    => 'padding-top',
				'element'     => '.site-footer .site-footer-top-row',
			),
			array(
				'media_query' => '@media (max-width: 768px)',
				'choice'      => 'padding-bottom',
				'property'    => 'padding-bottom',
				'element'     => '.site-footer .site-footer-top-row',
			),
		),
	),
	'footer_top_section_sm_padding' => array(
		'type'        => 'dimensions',
		'label'       => esc_html__( 'Padding', 'verve-blog' ),
		'description' => esc_html__( 'Set footer top section top and bottom padding.', 'verve-blog' ),
		'section'     => 'footer_top_section',
		'priority'    => 20,
		'default'     => array(
			'padding-top'    => '',
			'padding-bottom' => '',
		),
		'choices'     => array(
			'labels' => array(
				'padding-top'    => esc_html__( 'Top', 'verve-blog' ),
				'padding-bottom' => esc_html__( 'Bottom', 'verve-blog' ),
			),
		),
		'transport'   => 'auto',
		'output'      => array(
			array(
				'media_query' => '@media (max-width: 576px)',
				'choice'      => 'padding-top',
				'property'    => 'padding-top',
				'element'     => '.site-footer .site-footer-top-row',
			),
			array(
				'media_query' => '@media (max-width: 576px)',
				'choice'      => 'padding-bottom',
				'property'    => 'padding-bottom',
				'element'     => '.site-footer .site-footer-top-row',
			),
		),
	),

);
foreach ( $fields as $field_id => $field_args ) {
	// Settings
	$field_args['settings'] = str_replace( '-', '_', $field_id );

	Kirki::add_field( 'verve-blog', $field_args );
}
